Playing Copy Protected Flash Videos In Linux

I’ve been experimenting with Amazon Instant Video this past week, and found that some of my Linux machines were giving me a message that ” flash player needs to be updated” even though I was running the exact same version of flash on computers where Amazon Instant Video worked.

After Googling the problem, I found that I wasn’t the only person having this issue, I turns out that in order to play protected content with flash on Linux the Hardware Abstraction Layer (HAL) needs to be installed.

After typing  a simple command:

sudo apt-get install hal

and restarting the web browser, I was instantly able to watch videos from my library.

References:

Add a Comment

Your email address will not be published. Required fields are marked *